<?php

namespace App\Http\Controllers\User\Api;

use Auth;
use Illuminate\Http\Request;

use App\Http\Modules\User\EntitySignatureModule;

use App\Http\Controllers\User\BaseController;

class EntitySignatureController extends BaseController
{
    public function __construct()
    {
        parent::__construct();
    }

    public function list(Request $request)
    {
        $entity_signature = EntitySignatureModule::list($request);
        return $entity_signature;
    }

    public function show(Request $request, $hash_id)
    {
        $entity_signature = EntitySignatureModule::show($request, $hash_id);
        return $entity_signature;
    }

    public function store(Request $request)
    {
        $entity_signature = EntitySignatureModule::store($request);
        return $entity_signature;
    }

    public function update(Request $request, $hash_id)
    {
        $entity_signature = EntitySignatureModule::update($request, $hash_id);
        return $entity_signature;
    }

    public function delete(Request $request, $hash_id)
    {
        $entity_signature = EntitySignatureModule::delete($request, $hash_id);
        return $entity_signature;
    }
}
